DefaultProcessingEnvironment
Date: 2017-01-22

org.apache.commons.exec.environment

## Class DefaultProcessingEnvironment

- java.lang.Object
- - org.apache.commons.exec.environment.DefaultProcessingEnvironment

- Direct Known Subclasses:
    OpenVmsProcessingEnvironment

      public class DefaultProcessingEnvironment
      extends java.lang.Object

  Helper class to determine the environment variable for the OS. Depending on the JDK the environment variables can be either retrieved directly from the JVM or requires starting a process to get them running an OS command line.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.String>` | `procEnvironment` the environment variables of the process

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProcessingEnvironment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.String>` | `createProcEnvironment()` Find the list of environment variables for this process.
    `protected CommandLine` | `getProcEnvCommand()` Deprecated. No longer needed
    `java.util.Map<java.lang.String,java.lang.String>` | `getProcEnvironment()` Find the list of environment variables for this process.
    `protected java.io.BufferedReader` | `runProcEnvCommand()` Deprecated. No longer needed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### procEnvironment

          protected java.util.Map<java.lang.String,java.lang.String> procEnvironment

      the environment variables of the process

  - ### Constructor Detail

    - #### DefaultProcessingEnvironment

          public DefaultProcessingEnvironment()

  - ### Method Detail

    - #### getProcEnvironment

          public java.util.Map<java.lang.String,java.lang.String> getProcEnvironment()
                                                                              throws java.io.IOException

      Find the list of environment variables for this process.
      Returns:
        a map containing the environment variables
      Throws:
        `java.io.IOException` - obtaining the environment variables failed

    - #### createProcEnvironment

          protected java.util.Map<java.lang.String,java.lang.String> createProcEnvironment()
                                                                                    throws java.io.IOException

      Find the list of environment variables for this process.
      Returns:
        a amp containing the environment variables
      Throws:
        `java.io.IOException` - the operation failed

    - #### runProcEnvCommand

          @Deprecated
          protected java.io.BufferedReader runProcEnvCommand()
                                                      throws java.io.IOException

      Deprecated. No longer needed
      Start a process to list the environment variables.
      Returns:
        a reader containing the output of the process
      Throws:
        `java.io.IOException` - starting the process failed

    - #### getProcEnvCommand

          @Deprecated
          protected CommandLine getProcEnvCommand()

      Deprecated. No longer needed
      Determine the OS specific command line to get a list of environment variables.
      Returns:
        the command line